extends TextureProgress


# Declare member variables here. Examples:
# var a = 2
# var b = "text"

var _player_number :int 

# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.

func set_player_number(_player_num: int) -> void:
	_player_number = _player_num

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	if _player_number:
		#value = PlayerInfo.player_health
		var pd :PlayerData = PlayerInfo.get_player_data(_player_number - 1) 
		if pd:
			value = pd.player_health
